%define name	qamix
%define version	0.0.7e
%define release %mkrel 7

Name: 	 	%{name}
Summary: 	Easily configurable ALSA mixer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.suse.de/~mana/kalsatools.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel libalsa-devel imagemagick

%description
QAMix is a configurable mixer for ALSA. The GUI description is defined in an
XML file. Default interfaces for standard AC 97 cards and Soundblaster Live
are provided. QAMix can be controlled via MIDI. Any number of MIDI events can
be bound to any mixer control. 

%prep
%setup -q
perl -p -i -e 's/\(QT_BASE_DIR\)\/lib/\(QT_BASE_DIR\)\/%_lib/g' make_qamix
perl -p -i -e 's/\-O2\ \-g/%optflags/g' make_qamix

%build
%make -f make_qamix
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_datadir/%name}
cp %name $RPM_BUILD_ROOT/%_bindir/
cp *.xml $RPM_BUILD_ROOT/%_datadir/%name/

#menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QAMix
Comment=ALSA Mixer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Mixer;
Encoding=UTF-8
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 multimedia.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 multimedia.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 multimedia.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README THANKS *.ams
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Mon Sep 07 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.0.7e-7mdv2010.0
+ Revision: 432672
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.7e-6mdv2009.0
+ Revision: 259905
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.7e-5mdv2009.0
+ Revision: 247754
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.7e-3mdv2008.1
+ Revision: 140738
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import qamix


* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.7e-3mdv2007.0
- %%mkrel
- xdg menu

* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 0.0.7e-2mdk
- lib64 fix

* Tue Jun 8 2004 Austin Acton <austin@mandrake.org> 0.0.7e-1mdk
- initial package
